[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#275731: ssh: Received disconnect

Package: ssh
Version: 1:3.8.1p1-8.sarge.1
Severity: wishlist

With the newest version of ssh, I can no longer connect to iLO
("integrated Lights-Out": console of HP ProLiant):

 $ ssh -l <user> <iLO>
 Received disconnect from <ip of iLO>: 2:  Client Disconnect

Since very little changed since the version before, I had the idea that
it has something to do with the quite long version string:

 $ ssh -V
 OpenSSH_3.8.1p1 Debian 1:3.8.1p1-8.sarge.1, OpenSSL 0.9.7d 17 Mar 2004

So I modified /usr/bin/ssh (using hexedit): I set the "a" of "sarge" in
the version string to 0x00:

 $ ssh -V
 OpenSSH_3.8.1p1 Debian 1:3.8.1p1-8.s, OpenSSL 0.9.7d 17 Mar 2004

And ssh to iLO worked again.

Perhaps there are other ssh daemon implementations with similar
problems.  It might be an idea to shorten the version string in
future versions of ssh.

But this looks like a bug of iLO, so I should probably report this to

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-686
Locale: LANG=en_IE@euro, LC_CTYPE=en_IE@euro

Versions of packages ssh depends on:
ii  adduser                     3.59         Add and remove users and groups
ii debconf 1.4.38 Debian configuration management ii dpkg 1.10.23 Package maintenance system for ii libc6 2.3.2.ds1-17 GNU C Library: Shared libraries ii libpam-modules 0.76-22 Pluggable Authentication Module
ii  libpam-runtime              0.76-22      Runtime support for the PAM lib
ii  libpam0g                    0.76-22      Pluggable Authentication Module
ii  libssl0.9.7                 0.9.7d-5     SSL shared libraries
ii  libwrap0                    7.6.dbs-6    Wietse Venema's TCP wrappers li
ii  zlib1g                      1:1.2.2-1    compression library - runtime

Reply to: